#!/bin/bash

. ./_local_config.bash

echo "Copying get-and-run-gs3-playbooks.sh to $GSVM_USER@$GSVM_FQDN"
echo "With the following substitutions:"
echo "  \$GSVM_USER      -> $GSVM_USER"
echo "  \$GSVM_INSTANCE  -> $GSVM_INSTANCE"
echo "  \$GSVM_TL_DOMAIN -> $GSVM_TL_DOMAIN"
echo "  \$GSVM_FQDN      -> $GSVM_FQDN"

# scp -i $gsvm_project--$gsvm_subproj get-and-run-gs3-playbooks.sh $GSVM_USER@$GSVM_FQDN:.
cat get-and-run-gs3-playbooks.sh.in \
    | sed \
	  -e "s/@GSVM_USER@/$GSVM_USER/g" \
	  -e "s/@GSVM_INSTANCE@/$GSVM_INSTANCE/g" \
	  -e "s/@GSVM_TL_DOMAIN@/$GSVM_TL_DOMAIN/g" \
	  -e "s/@GSVM_FQDN@/$GSVM_FQDN/g" \
    | ssh -i $gsvm_project--$gsvm_subproj $GSVM_USER@$GSVM_FQDN cat ">" get-and-run-gs3-playbooks.sh 

if [ $? = 0 ] ; then 
    echo "Running get-and-run-gs3-playbooks.sh on $GSVM_USER@$GSVM_FQDN"
    ssh -i $gsvm_project--$gsvm_subproj $GSVM_USER@$GSVM_FQDN chmod a+x ./get-and-run-gs3-playbooks.sh \
	&& ssh -i $gsvm_project--$gsvm_subproj $GSVM_USER@$GSVM_FQDN ./get-and-run-gs3-playbooks.sh
else
    echo "Failed to scp get-and-run-gs3-playbooks.sh to $GSVM_USER@$GSVM_FQDN:."
fi
